* [gentoo-commits] gentoo-x86 commit in dev-go/go-tools: go-tools-9999.ebuild ChangeLog
@ 2015-05-21 7:18 Zac Medico (zmedico)
0 siblings, 0 replies; 4+ messages in thread
From: Zac Medico (zmedico) @ 2015-05-21 7:18 UTC (permalink / raw
To: gentoo-commits
zmedico 15/05/21 07:18:42
Modified: go-tools-9999.ebuild ChangeLog
Log:
Add src_test.
(Portage version: 2.2.20/cvs/Linux x86_64, signed Manifest commit with key FDE8EF85AE5719A3)
Revision Changes Path
1.2 dev-go/go-tools/go-tools-9999.ebuild
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-go/go-tools/go-tools-9999.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-go/go-tools/go-tools-9999.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-go/go-tools/go-tools-9999.ebuild?r1=1.1&r2=1.2
Index: go-tools-9999.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-go/go-tools/go-tools-9999.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- go-tools-9999.ebuild 18 May 2015 07:58:45 -0000 1.1
+++ go-tools-9999.ebuild 21 May 2015 07:18:42 -0000 1.2
@@ -1,6 +1,6 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-go/go-tools/go-tools-9999.ebuild,v 1.1 2015/05/18 07:58:45 zmedico Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-go/go-tools/go-tools-9999.ebuild,v 1.2 2015/05/21 07:18:42 zmedico Exp $
EAPI=5
inherit git-r3
@@ -29,6 +29,15 @@
GOROOT="${GOROOT}" GOPATH=${WORKDIR} go install -v -x -work ${GO_PN}/... || die
}
+src_test() {
+ GOROOT="${GOROOT}" GOPATH=${WORKDIR} \
+ go test -run "^"$(
+ echo -n 'Test(ParseLine|ParseSet|SelectBest|Delta|Correlate|'
+ echo -n 'BenchCmpSorting|Callgraph-4|Cover|Digraph|Split|'
+ echo -n 'QuotedLength|FixImports|DryRun)$') \
+ -x -v ${GO_PN}/... || die $?
+}
+
src_install() {
exeinto /usr/lib/go/bin
doexe "${WORKDIR}"/bin/*
1.2 dev-go/go-tools/ChangeLog
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-go/go-tools/ChangeLog?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-go/go-tools/ChangeLog?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-go/go-tools/ChangeLog?r1=1.1&r2=1.2
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-go/go-tools/ChangeLog,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- ChangeLog 18 May 2015 07:58:45 -0000 1.1
+++ ChangeLog 21 May 2015 07:18:42 -0000 1.2
@@ -1,6 +1,9 @@
# ChangeLog for dev-go/go-tools
# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-go/go-tools/ChangeLog,v 1.1 2015/05/18 07:58:45 zmedico Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-go/go-tools/ChangeLog,v 1.2 2015/05/21 07:18:42 zmedico Exp $
+
+ 21 May 2015; Zac Medico <zmedico@gentoo.org> go-tools-9999.ebuild:
+ Add src_test.
*go-tools-9999 (18 May 2015)
^ permalink raw reply [flat|nested] 4+ messages in thread
* [gentoo-commits] gentoo-x86 commit in dev-go/go-tools: go-tools-9999.ebuild ChangeLog
@ 2015-06-26 19:24 William Hubbs (williamh)
0 siblings, 0 replies; 4+ messages in thread
From: William Hubbs (williamh) @ 2015-06-26 19:24 UTC (permalink / raw
To: gentoo-commits
williamh 15/06/26 19:24:29
Modified: go-tools-9999.ebuild ChangeLog
Log:
Make live ebuild copyable as future snapshots
(Portage version: 2.2.18/cvs/Linux x86_64, signed Manifest commit with key 0x30C46538)
Revision Changes Path
1.9 dev-go/go-tools/go-tools-9999.ebuild
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-go/go-tools/go-tools-9999.ebuild?rev=1.9&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-go/go-tools/go-tools-9999.ebuild?rev=1.9&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-go/go-tools/go-tools-9999.ebuild?r1=1.8&r2=1.9
Index: go-tools-9999.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-go/go-tools/go-tools-9999.ebuild,v
retrieving revision 1.8
retrieving revision 1.9
diff -u -r1.8 -r1.9
--- go-tools-9999.ebuild 26 Jun 2015 14:30:05 -0000 1.8
+++ go-tools-9999.ebuild 26 Jun 2015 19:24:29 -0000 1.9
@@ -1,22 +1,59 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-go/go-tools/go-tools-9999.ebuild,v 1.8 2015/06/26 14:30:05 williamh Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-go/go-tools/go-tools-9999.ebuild,v 1.9 2015/06/26 19:24:29 williamh Exp $
EAPI=5
-inherit golang-build golang-vcs
-EGO_PN=golang.org/x/tools/...
-EGO_SRC=golang.org/x/tools
-ICON_URI="http://golang.org/favicon.ico -> go-favicon.ico"
+EGO_PN="golang.org/x/tools/..."
+EGO_SRC="golang.org/x/tools"
+
+if [[ ${PV} = *9999* ]]; then
+ inherit golang-vcs
+else
+ EGIT_COMMIT="ac303766f5f240c1796eeea3dc9bf34f1261aa35"
+ ARCHIVE_URI="https://github.com/golang/tools/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64"
+fi
+inherit golang-build
DESCRIPTION="Go Tools"
-HOMEPAGE="https://godoc.org/x/tools"
-SRC_URI="${ICON_URI}"
+HOMEPAGE="https://godoc.org/golang.org/x/tools"
+SRC_URI="${ARCHIVE_URI}
+ http://golang.org/favicon.ico -> go-favicon.ico"
LICENSE="BSD"
SLOT="0"
IUSE=""
DEPEND="dev-go/go-net"
RDEPEND=""
+if [[ ${PV} != *9999* ]]; then
+src_unpack() {
+ local f
+
+ for f in ${A}
+ do
+ case "${f}" in
+ *.tar|*.tar.gz|*.tar.bz2|*.tar.xz)
+ local destdir=${WORKDIR}/${P}/src/${EGO_SRC}
+
+ debug-print "${FUNCNAME}: unpacking ${f} to ${destdir}"
+
+ # XXX: check whether the directory structure inside is
+ # fine? i.e. if the tarball has actually a parent dir.
+ mkdir -p "${destdir}" || die
+ tar -C "${destdir}" -x --strip-components 1 \
+ -f "${DISTDIR}/${f}" || die
+ ;;
+ *)
+ debug-print "${FUNCNAME}: falling back to unpack for ${f}"
+
+ # fall back to the default method
+ unpack "${f}"
+ ;;
+ esac
+ done
+}
+fi
+
src_prepare() {
# disable broken tests
sed -e 's:TestWeb(:_\0:' \
1.11 dev-go/go-tools/ChangeLog
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-go/go-tools/ChangeLog?rev=1.11&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-go/go-tools/ChangeLog?rev=1.11&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-go/go-tools/ChangeLog?r1=1.10&r2=1.11
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-go/go-tools/ChangeLog,v
retrieving revision 1.10
retrieving revision 1.11
diff -u -r1.10 -r1.11
--- ChangeLog 9 Jun 2015 03:17:38 -0000 1.10
+++ ChangeLog 26 Jun 2015 19:24:29 -0000 1.11
@@ -1,6 +1,9 @@
# ChangeLog for dev-go/go-tools
# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-go/go-tools/ChangeLog,v 1.10 2015/06/09 03:17:38 zmedico Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-go/go-tools/ChangeLog,v 1.11 2015/06/26 19:24:29 williamh Exp $
+
+ 26 Jun 2015; William Hubbs <williamh@gentoo.org> go-tools-9999.ebuild:
+ Make live ebuild copyable as future snapshots
*go-tools-1.4.2_p20150606 (09 Jun 2015)
^ permalink raw reply [flat|nested] 4+ messages in thread
* [gentoo-commits] gentoo-x86 commit in dev-go/go-tools: go-tools-9999.ebuild ChangeLog
@ 2015-07-06 23:34 William Hubbs (williamh)
0 siblings, 0 replies; 4+ messages in thread
From: William Hubbs (williamh) @ 2015-07-06 23:34 UTC (permalink / raw
To: gentoo-commits
williamh 15/07/06 23:34:44
Modified: go-tools-9999.ebuild ChangeLog
Log:
add slot dependency on go-net
(Portage version: 2.2.18/cvs/Linux x86_64, signed Manifest commit with key 0x30C46538)
Revision Changes Path
1.10 dev-go/go-tools/go-tools-9999.ebuild
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-go/go-tools/go-tools-9999.ebuild?rev=1.10&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-go/go-tools/go-tools-9999.ebuild?rev=1.10&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-go/go-tools/go-tools-9999.ebuild?r1=1.9&r2=1.10
Index: go-tools-9999.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-go/go-tools/go-tools-9999.ebuild,v
retrieving revision 1.9
retrieving revision 1.10
diff -u -r1.9 -r1.10
--- go-tools-9999.ebuild 26 Jun 2015 19:24:29 -0000 1.9
+++ go-tools-9999.ebuild 6 Jul 2015 23:34:44 -0000 1.10
@@ -1,6 +1,6 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-go/go-tools/go-tools-9999.ebuild,v 1.9 2015/06/26 19:24:29 williamh Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-go/go-tools/go-tools-9999.ebuild,v 1.10 2015/07/06 23:34:44 williamh Exp $
EAPI=5
EGO_PN="golang.org/x/tools/..."
@@ -22,7 +22,7 @@
LICENSE="BSD"
SLOT="0"
IUSE=""
-DEPEND="dev-go/go-net"
+DEPEND="dev-go/go-net:="
RDEPEND=""
if [[ ${PV} != *9999* ]]; then
1.13 dev-go/go-tools/ChangeLog
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-go/go-tools/ChangeLog?rev=1.13&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-go/go-tools/ChangeLog?rev=1.13&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-go/go-tools/ChangeLog?r1=1.12&r2=1.13
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-go/go-tools/ChangeLog,v
retrieving revision 1.12
retrieving revision 1.13
diff -u -r1.12 -r1.13
--- ChangeLog 1 Jul 2015 22:20:07 -0000 1.12
+++ ChangeLog 6 Jul 2015 23:34:44 -0000 1.13
@@ -1,6 +1,9 @@
# ChangeLog for dev-go/go-tools
# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-go/go-tools/ChangeLog,v 1.12 2015/07/01 22:20:07 williamh Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-go/go-tools/ChangeLog,v 1.13 2015/07/06 23:34:44 williamh Exp $
+
+ 06 Jul 2015; William Hubbs <williamh@gentoo.org> go-tools-9999.ebuild:
+ add slot dependency on go-net
*go-tools-0_pre20150606 (01 Jul 2015)
^ permalink raw reply [flat|nested] 4+ messages in thread
* [gentoo-commits] gentoo-x86 commit in dev-go/go-tools: go-tools-9999.ebuild ChangeLog
@ 2015-08-05 20:38 William Hubbs (williamh)
0 siblings, 0 replies; 4+ messages in thread
From: William Hubbs (williamh) @ 2015-08-05 20:38 UTC (permalink / raw
To: gentoo-commits
williamh 15/08/05 20:38:07
Modified: go-tools-9999.ebuild ChangeLog
Log:
add golang-vcs-snapshot support to the live ebuild
(Portage version: 2.2.20/cvs/Linux x86_64, signed Manifest commit with key 0x30C46538)
Revision Changes Path
1.11 dev-go/go-tools/go-tools-9999.ebuild
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-go/go-tools/go-tools-9999.ebuild?rev=1.11&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-go/go-tools/go-tools-9999.ebuild?rev=1.11&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-go/go-tools/go-tools-9999.ebuild?r1=1.10&r2=1.11
Index: go-tools-9999.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-go/go-tools/go-tools-9999.ebuild,v
retrieving revision 1.10
retrieving revision 1.11
diff -u -r1.10 -r1.11
--- go-tools-9999.ebuild 6 Jul 2015 23:34:44 -0000 1.10
+++ go-tools-9999.ebuild 5 Aug 2015 20:38:06 -0000 1.11
@@ -1,6 +1,6 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-go/go-tools/go-tools-9999.ebuild,v 1.10 2015/07/06 23:34:44 williamh Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-go/go-tools/go-tools-9999.ebuild,v 1.11 2015/08/05 20:38:06 williamh Exp $
EAPI=5
EGO_PN="golang.org/x/tools/..."
@@ -12,6 +12,7 @@
EGIT_COMMIT="ac303766f5f240c1796eeea3dc9bf34f1261aa35"
ARCHIVE_URI="https://github.com/golang/tools/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64"
+ inherit golang-vcs-snapshot
fi
inherit golang-build
@@ -25,35 +26,6 @@
DEPEND="dev-go/go-net:="
RDEPEND=""
-if [[ ${PV} != *9999* ]]; then
-src_unpack() {
- local f
-
- for f in ${A}
- do
- case "${f}" in
- *.tar|*.tar.gz|*.tar.bz2|*.tar.xz)
- local destdir=${WORKDIR}/${P}/src/${EGO_SRC}
-
- debug-print "${FUNCNAME}: unpacking ${f} to ${destdir}"
-
- # XXX: check whether the directory structure inside is
- # fine? i.e. if the tarball has actually a parent dir.
- mkdir -p "${destdir}" || die
- tar -C "${destdir}" -x --strip-components 1 \
- -f "${DISTDIR}/${f}" || die
- ;;
- *)
- debug-print "${FUNCNAME}: falling back to unpack for ${f}"
-
- # fall back to the default method
- unpack "${f}"
- ;;
- esac
- done
-}
-fi
-
src_prepare() {
# disable broken tests
sed -e 's:TestWeb(:_\0:' \
1.14 dev-go/go-tools/ChangeLog
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-go/go-tools/ChangeLog?rev=1.14&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-go/go-tools/ChangeLog?rev=1.14&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-go/go-tools/ChangeLog?r1=1.13&r2=1.14
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-go/go-tools/ChangeLog,v
retrieving revision 1.13
retrieving revision 1.14
diff -u -r1.13 -r1.14
--- ChangeLog 6 Jul 2015 23:34:44 -0000 1.13
+++ ChangeLog 5 Aug 2015 20:38:06 -0000 1.14
@@ -1,6 +1,9 @@
# ChangeLog for dev-go/go-tools
# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-go/go-tools/ChangeLog,v 1.13 2015/07/06 23:34:44 williamh Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-go/go-tools/ChangeLog,v 1.14 2015/08/05 20:38:06 williamh Exp $
+
+ 05 Aug 2015; William Hubbs <williamh@gentoo.org> go-tools-9999.ebuild:
+ add golang-vcs-snapshot support to the live ebuild
06 Jul 2015; William Hubbs <williamh@gentoo.org> go-tools-9999.ebuild:
add slot dependency on go-net
^ permalink raw reply [flat|nested] 4+ messages in thread
end of thread, other threads:[~2015-08-05 20:38 UTC | newest]
Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2015-07-06 23:34 [gentoo-commits] gentoo-x86 commit in dev-go/go-tools: go-tools-9999.ebuild ChangeLog William Hubbs (williamh)
-- strict thread matches above, loose matches on Subject: below --
2015-08-05 20:38 William Hubbs (williamh)
2015-06-26 19:24 William Hubbs (williamh)
2015-05-21 7:18 Zac Medico (zmedico)
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox